<template name="userprofilePage">
	<div class="container mw-md">
		<div class="page-component">
			<div class="row g-3">
				<div class="col-3">
					{{> avatar userId=user._id class="profile-avatar"}}
				</div>

				<div class="col-9">
					<h1 class="mt-4">
						{{i18n 'profile.users_profile_page' "{NAME}'s Profile" NAME=this.user.getDisplayName}}
						{{#if ownuser}}
							({{i18n 'profile.its_you' "It's you!"}})
						{{else}}
							{{contribution this.user._id}}
							{{#if alterPrivileges}}
								{{#if PublicSettings.contribution}}
									{{#unless hasContributed}}
										<button type="button"
												class="btn btn-primary js-has-contributed">
											<i class="{{PublicSettings.contribution.icon}}"
											   aria-hidden="true"></i>
											{{i18n 'profile.setHasContributed.button' 'Mark this user has contributed'}}
										</button>
									{{else}}
										<button type="button"
												class="btn btn-secondary js-unset-has-contributed">
											{{i18n 'profile.unsetHasContributed.button' 'Remove this user has contributed'}}
										</button>
									{{/unless}}
								{{/if}}
							{{/if}}
						{{/if}}
					</h1>

					<p class="profile-description">{{{this.user.description}}}</p>

					{{#if ownuser}}
						<a class="btn btn-primary" href="{{pathFor 'profile'}}">
							<span class="fa-solid fa-gears fa-fw" aria-hidden="true"></span>
							{{i18n 'profile.preferenceslink' "Account settings"}}
						</a>
					{{else}}
						{{#if acceptsPrivateMessages}}
							{{> sendMessage sendMessageAttr}}
						{{/if}}
					{{/if}}
				</div>
			</div>
		</div>
		{{#if showSettings}}
			<div class="page-component page-component-seperated">
				<div class="row gap-3 mb-3">
					{{#if showPrivileges}}
						<div class="col-md">
							<h3>
								<span class="fa-solid fa-gear fa-fw" aria-hidden="true"></span>
								{{i18n 'privileges.title' 'Edit Privileges'}}
							</h3>
							<div class="list-group">
								{{#if privileges.admin}}
									<li class="list-group-item list-group-item-success">
										{{#if alterPrivileges}}
											<button type="button"
													class="js-remove-privilege-btn btn-close float-end"
													data-bs-toggle="tooltip"
													data-bs-title="{{i18n 'privilege.remove' 'Remove privilege' attr=true}}"
													data-priv="admin">
											</button>
										{{/if}}
										{{i18n 'privilege.has.admin' 'Administrator privileges granted'}}
									</li>
								{{else}}
									{{#if alterPrivileges}}
										<button type="button"
												class="list-group-item-action list-group-item-secondary btn js-give-admin">
											{{i18n 'privilege.add.admin' 'Grant administrator privileges'}}
										</button>
									{{/if}}
								{{/if}}
							</div>
						</div>
					{{/if}}
					{{#if showInviteGroups}}
						<div class="col-md">
							<h3>
								<span class="fa-solid fa-gear fa-fw" aria-hidden="true"></span>
								{{i18n 'userprofile.groups.header' 'Edit groups'}}
							</h3>
							<div class="list-group">
								{{#each inviteGroups}}
									{{#if groupMember this ../user}}
										<li class="list-group-item list-group-item-success">
											<button type="button"
													class="js-group-expel-btn btn-close float-end"
													data-bs-toggle="tooltip"
													data-bs-title="{{i18n 'profile.group.expel' 'Expel from group {GROUPNAME}' GROUPNAME=this.name attr=true}}">
											</button>
											{{i18n 'profile.group.member' 'Member of group'}}
											<span class="group">{{name}}</span>
										</li>
									{{else}}
										<button type="button"
												class="js-draft-into-group list-group-item list-group-item-action list-group-item-secondary">
											{{i18n 'profile.group.draft' 'Draft into group'}}
											{{name}}
										</button>
									{{/if}}
								{{/each}}
							</div>
						</div>
					{{/if}}
				</div>
			</div>
		{{/if}}
		{{> usersCourselist user=this.user ownProfile=false}}

		{{#if alterPrivileges}}
			<h3 class="text-danger">{{i18n 'profile.account.delete.header' 'Is this a spammer?'}}
			</h3>
			{{#unless (state 'verifyUserDelete')}}
				{{> buttonDelete event="js-verify-user-delete-collapse"}}
			{{else}}
				<div class="border border-danger text-danger p-3">
					<p>{{i18n 'profile.account.reallydelete' 'Remove the user profile "{NAME}" permanently? {COURSES, number} Courses created by this user (with {INTERESTED, number} Participants and {EVENTS, number} upcoming events) will also be removed.' NAME=this.user.getDisplayName COURSES=numberOfCoursesAffectedByDelete INTERESTED=numberOfInterestedAffectedByDelete EVENTS=numberOfFutureEventsAffectedByDelete}}
					</p>
					<div class="mb-3">
						<textarea class='form-control js-reason'
								  placeholder="{{i18n 'profile.account.reason.placeholder' 'Reason for deleting this user' attr=true}}"></textarea>
					</div>
					<div class="form-actions">
						{{> buttonDeleteConfirm
						event="js-verify-user-delete-confirm"
						textIdle=(i18n 'profile.account.delete.confirm.button' 'Delete user and all his traces')
						textBusy=(i18n 'profile.account.delete.confirm.button.busy' 'Deleting profile…')
					}}
						{{> buttonCancel event="js-verify-user-delete-collapse"}}
					</div>
				</div>
			{{/unless}}
		{{/if}}
	</div>
</template>
